import request from '@/utils/request'

// 获取卡片列表信息
export const getCardListApi = data => {
    return request({
        url: '/material/mainPage/demandAndSupply',
        method: 'get',
        params: data
    })
}

//  获取第二行卡片列表信息
export const getCardList_2Api = data => {
    return request({
        url: '/material//mainPage/getMaTypeHomeList',
        method: 'get',
        params: data
    })
}
// 获取饼图1数据信息
export const getPie_1DataApi = data => {
    return request({
        url: '/material/mainPage/getDemandTotal',
        method: 'get',
        params: data
    })
}
// 获取饼图2数据信息
export const getPie_2DataApi = data => {
    return request({
        url: '/material/mainPage/getMaTypeStatusTotal',
        method: 'get',
        params: data
    })
}

// 获取柱状图和折线图数据信息
export const getBarAndLineDataApi = data => {
    return request({
        url: '/material/mainPage/getDemandList',
        method: 'get',
        params: data
    })
}
